
const {models} = require("../models");

models.user.findOrCreate({ where: { username: "Pepe" }   // Buscar
                           ,
                           defaults: { password: "1234" }   // Crear
                         })
.then(([user, created]) => { 
    if (created) {
        console.log('El usuario no existia y se ha creado.');
    }
    console.log("UN:",user.username,"P:",user.password)
})
.catch(error => {
    console.log("Error:", error);
});

