
const {models} = require("../models");

models.user.create( { username: "Juan",
                      password: "1234",
                      quizzes: [ { question: "12345", 
                                   answer: "6" 
                                 },
                                 { question: "13579", 
                                   answer: "11", 
                                   tips: [ {text: "Impares"} ] 
                                 },
                                 { question: "11235", 
                                   answer: "8",  
                                   tips: [ {text: "Fibonacci"} ] 
                                 }
                               ]
                    }, 
                    { include: [ { model: models.quiz,
                                   include: [ { model: models.tip } ]
                                 }
                               ]
                    }
                  )
.then(function(user) {
    console.log('Creado Usuario con varios quizzes y pistas.');
})
.catch(error => {
    console.log("Error:", error);
});


