
const {models} = require("../models");


models.user.find({ where: { username: "Juan" },
                   include: [ { model: models.quiz, 
                                as: 'favouriteQuizzes' } ] })
.then(user => { 

    if (!user) { throw new Error("No existe el Usuario");}

    user.favouriteQuizzes.forEach(quiz => {
        console.log("Preg:", quiz.question, 
                    "Resp:", quiz.answer);
    });
})
.catch(error => {
    console.log("Error:", error);
});

