
// Definicion del modelo User:

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('user',
      { username: {
           type: DataTypes.STRING,
           unique: true,
           validate: { 
              notEmpty: {msg: "Falta username"}
           }
        },
        password: {
           type: DataTypes.STRING,
           validate: {
              notEmpty: {msg: "Falta password"}
           }
        },
        salt: {
           type: DataTypes.STRING
        },
        isAdmin: {
           type: DataTypes.BOOLEAN,
           defaultValue: false
        }
      });
};

